App\Library\Amazon\Classes\ComputerInputDevice:
    xml_root_name: ComputerInputDevice
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\VariationData
        additionalFeatures:
            expose: true
            access_type: public_method
            serialized_name: AdditionalFeatures
            accessor:
                getter: getAdditionalFeatures
                setter: setAdditionalFeatures
            type: App\Library\Amazon\Classes\AdditionalFeatures
        builtInMicrophone:
            expose: true
            access_type: public_method
            serialized_name: BuiltInMicrophone
            accessor:
                getter: getBuiltInMicrophone
                setter: setBuiltInMicrophone
            type: App\Library\Amazon\Classes\BuiltInMicrophone
        deviceHardwareCompatability:
            expose: true
            access_type: public_method
            serialized_name: DeviceHardwareCompatability
            accessor:
                getter: getDeviceHardwareCompatability
                setter: setDeviceHardwareCompatability
            type: App\Library\Amazon\Classes\DeviceHardwareCompatability
        deviceSoftwareCompatability:
            expose: true
            access_type: public_method
            serialized_name: DeviceSoftwareCompatability
            accessor:
                getter: getDeviceSoftwareCompatability
                setter: setDeviceSoftwareCompatability
            type: App\Library\Amazon\Classes\DeviceSoftwareCompatability
        headphoneStyle:
            expose: true
            access_type: public_method
            serialized_name: HeadphoneStyle
            accessor:
                getter: getHeadphoneStyle
                setter: setHeadphoneStyle
            type: App\Library\Amazon\Classes\HeadphoneStyle
        inputDeviceDesignStyle:
            expose: true
            access_type: public_method
            serialized_name: InputDeviceDesignStyle
            accessor:
                getter: getInputDeviceDesignStyle
                setter: setInputDeviceDesignStyle
            type: App\Library\Amazon\Classes\InputDeviceDesignStyle
        inputDeviceInterfaceTechnology:
            expose: true
            access_type: public_method
            serialized_name: InputDeviceInterfaceTechnology
            accessor:
                getter: getInputDeviceInterfaceTechnology
                setter: setInputDeviceInterfaceTechnology
            type: App\Library\Amazon\Classes\InputDeviceInterfaceTechnology
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: App\Library\Amazon\Classes\ModelNumber
        noiseCanceling:
            expose: true
            access_type: public_method
            serialized_name: NoiseCanceling
            accessor:
                getter: getNoiseCanceling
                setter: setNoiseCanceling
            type: App\Library\Amazon\Classes\NoiseCanceling
        numberOfButtons:
            expose: true
            access_type: public_method
            serialized_name: NumberOfButtons
            accessor:
                getter: getNumberOfButtons
                setter: setNumberOfButtons
            type: App\Library\Amazon\Classes\NumberOfButtons
        presentationRemoteLaserColor:
            expose: true
            access_type: public_method
            serialized_name: PresentationRemoteLaserColor
            accessor:
                getter: getPresentationRemoteLaserColor
                setter: setPresentationRemoteLaserColor
            type: App\Library\Amazon\Classes\PresentationRemoteLaserColor
        presentationRemoteMemory:
            expose: true
            access_type: public_method
            serialized_name: PresentationRemoteMemory
            accessor:
                getter: getPresentationRemoteMemory
                setter: setPresentationRemoteMemory
            type: App\Library\Amazon\Classes\PresentationRemoteMemory
        presentationRemoteOperatingDistance:
            expose: true
            access_type: public_method
            serialized_name: PresentationRemoteOperatingDistance
            accessor:
                getter: getPresentationRemoteOperatingDistance
                setter: setPresentationRemoteOperatingDistance
            type: App\Library\Amazon\Classes\PresentationRemoteOperatingDistance
        primaryHeadphoneUse:
            expose: true
            access_type: public_method
            serialized_name: PrimaryHeadphoneUse
            accessor:
                getter: getPrimaryHeadphoneUse
                setter: setPrimaryHeadphoneUse
            type: App\Library\Amazon\Classes\PrimaryHeadphoneUse
        trackingMethod:
            expose: true
            access_type: public_method
            serialized_name: TrackingMethod
            accessor:
                getter: getTrackingMethod
                setter: setTrackingMethod
            type: App\Library\Amazon\Classes\TrackingMethod
